cargo-features = ["edition2024"]

[package]
name = "math"
workspace = "../../workspace"
version.workspace = true
edition.workspace = true
license-file.workspace = true
repository.workspace = true

[dependencies]
fable_library_rust = { workspace = true, features = ["static_do_bindings", "datetime", "guid", "threaded"] }
inline_colorization = { workspace = true }
chrono = { workspace = true }
regex = { workspace = true }
sha2 = { workspace = true }
num-complex = ">=0.4,<1"
statrs = ">=0.17,<1"
float-cmp = ">=0.9,<1"
pyo3 = "=0.26.0"

[[bin]]
name = "math"
path = "math.rs"
